summaryrefslogtreecommitdiff
path: root/tools/build
diff options
context:
space:
mode:
Diffstat (limited to 'tools/build')
-rwxr-xr-xtools/build17
1 files changed, 17 insertions, 0 deletions
diff --git a/tools/build b/tools/build
new file mode 100755
index 00000000..977df74b
--- /dev/null
+++ b/tools/build
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+set -e
+
+SRCDIR=$(pwd)
+
+if [ -d ~/Products/ledger ]; then
+ cd ~/Products/ledger
+fi
+
+if [ ! -f Makefile -o \
+ $SRCDIR/acprep -nt Makefile -o \
+ $SRCDIR/tools/myacprep -nt Makefile ]; then
+ (cd $SRCDIR && tools/myacprep)
+fi
+
+make -j3 TAGS check